Bug 238064 - games/minetest and games/minetest_game: Update to 5.0.1
Summary: games/minetest and games/minetest_game: Update to 5.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 235355
  Show dependency treegraph
 
Reported: 2019-05-23 02:51 UTC by crwhipp
Modified: 2019-07-31 22:52 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
poudriere testport log (181.51 KB, application/gzip)
2019-05-23 02:54 UTC, crwhipp
no flags Details
minetest svn diff (4.54 KB, patch)
2019-05-23 02:56 UTC, crwhipp
no flags Details | Diff
Patch to update games/minetest to version 5.0.1 (5.74 KB, patch)
2019-06-01 15:21 UTC, crwhipp
no flags Details | Diff
Patch to update games/minetest_game to version 5.0.1 (973 bytes, patch)
2019-06-01 15:25 UTC, crwhipp
no flags Details | Diff
poudriere testport log (2.44 KB, application/x-xz)
2019-06-21 03:31 UTC, crwhipp
no flags Details
poudriere testport log (31.64 KB, application/x-xz)
2019-06-21 03:35 UTC, crwhipp
no flags Details
Patch to update games/minetest to version 5.0.1 (7.50 KB, patch)
2019-06-21 03:40 UTC, crwhipp
no flags Details | Diff
Patch to upgrade games/minetest and games/minetest_game to 5.0.1 (8.72 KB, patch)
2019-07-21 17:31 UTC, crwhipp
no flags Details | Diff
poudriere testport log (32.34 KB, application/x-xz)
2019-07-21 17:33 UTC, crwhipp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description crwhipp 2019-05-23 02:51:05 UTC
Supplied patch is to be applied at ports base, and updates games/minetest and games/minetest_game to the latest version (5.0.1).  Other changes include reversing dependencies, so that minetest_game is now an optional dependency of minetest, make building the client and server executables a multiple-choice (pick at least one to build).
Comment 1 crwhipp 2019-05-23 02:54:22 UTC
Created attachment 204558 [details]
poudriere testport log

poudriere testport log with multiple builds of different options combinations.
Comment 2 crwhipp 2019-05-23 02:56:29 UTC
Created attachment 204559 [details]
minetest svn diff

Svn diff from ports base (/usr/ports) to update games/minetest and games/minetest_game.
Comment 3 crwhipp 2019-06-01 15:21:58 UTC
Created attachment 204760 [details]
Patch to update games/minetest to version 5.0.1

Better organization of options.  Includes curses dependency (optional, with new "console" options).  

Incorporates $HOME environmental variable for minetest user in the minetest rc script, per BZ 235355.

Pet portlint.
Comment 4 crwhipp 2019-06-01 15:25:25 UTC
Created attachment 204761 [details]
Patch to update games/minetest_game to version 5.0.1

Pulled out the update to games/minetest_game to a separate patch.  Eases review of changes.
Comment 5 crwhipp 2019-06-01 15:28:33 UTC
(In reply to crwhipp from comment #0)
Two new updated patches should be applied in each port directory, the verbiage about where to apply the patch is no longer valid.
Comment 6 crwhipp 2019-06-14 02:39:57 UTC
Maintainer Timeout.
Comment 7 Dmitry Marakasov freebsd_committer 2019-06-15 00:15:34 UTC
It is not. Minetest 5 occasionally crashes on me and this has still not been resolved.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-15 03:05:21 UTC
(In reply to Dmitry Marakasov from comment #7)

Has the crash been reproduced with/after this 5.0.1 patch? Backtrace attachment would be handy. Maybe we can then identify any upstream issue reports/commits that address it
Comment 9 crwhipp 2019-06-16 00:25:45 UTC
(In reply to Dmitry Marakasov from comment #7)
Any log files you could provide (~/.minetest/debug.txt, for example) may also be helpful in troubleshooting.

Additionally, any conditions (hardware, architecture, etc.) would useful to know.  

Do the crashes occur with the stock game, or with mods installed?

For what it's worth, the game and server have been solid for me, running on i386 and amd64, with intel and radeon graphics, respectively.
Comment 10 Sean Farley freebsd_committer 2019-06-19 23:56:31 UTC
I have had no crashes while running as a client or server on a FreeBSD 11.3 system.  However, I have two suggested changes for the port.

- Remember to remove files/extra-patch-irrlichtdepend.
- Wrap INSTALLS_ICONS with a test if the client option was selected else a server-only install will require some X11 libraries.  Something like:

.if ${PORT_OPTIONS:MCLIENT}
INSTALLS_ICONS= yes
.endif
Comment 11 crwhipp 2019-06-21 03:31:13 UTC
Created attachment 205243 [details]
poudriere testport log

Log from poudriere testport command, using latest patch to games/minetest.  Also using updated ports tree.  Three runs - default options, all options enabled, and server-only, with minimal options.
Comment 12 crwhipp 2019-06-21 03:33:09 UTC
Well, I just goobered that up - uploaded the diff and replaced the testport log file.  Let me try again.
Comment 13 crwhipp 2019-06-21 03:35:04 UTC
Created attachment 205244 [details]
poudriere testport log

The real poudriere testport log.  Three runs, default options, all options, and minimal server-only options.  Using a recent update of ports, via svn.
Comment 14 crwhipp 2019-06-21 03:40:16 UTC
Created attachment 205245 [details]
Patch to update games/minetest to version 5.0.1

Updated patch, incorporating scf's comments.  Wraps INSTALLS_ICONS for cases where client is enabled.

Added files/extra-patch-CMakeLists.txt for case where only server is included (addresses comment about removing files/extra-patch-irrlichtdepend).  I forgot to include this file in the initial patch submission.
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-15 13:51:52 UTC
If both patches are required, please combine them into a single (svn) diff.

There should be one patch per issue/bug/logical changeset, so as not to confuse an make things easier to review.

Also, the following block:

+.if ${PORT_OPTIONS:MCLIENT}
+INSTALLS_ICONS=	yes
+.endif

Should be converted to an options helper:

CLIENT_VARS=<tab>INSTALLS_ICONS=yes
Comment 16 crwhipp 2019-07-21 17:31:43 UTC
Created attachment 205974 [details]
Patch to upgrade games/minetest and games/minetest_game to 5.0.1
Comment 17 crwhipp 2019-07-21 17:33:45 UTC
Created attachment 205975 [details]
poudriere testport log

Three poudriere testport runs - default options, all options set, and example server configuration.
Comment 18 crwhipp 2019-07-21 17:38:03 UTC
Latest attachments incorporate koobs' suggestion to roll INSTALL_ICONS into CLIENT_VARS.  Additionally, re-rolled the ports patches into a single patch, per suggestion on IRC.  This patch should be applied at ports base (/usr/ports).

Thank you to everybody who has helped me improve the bugzilla report and patches.
Comment 19 commit-hook freebsd_committer 2019-07-31 22:50:24 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jul 31 22:50:16 UTC 2019
New revision: 507742
URL: https://svnweb.freebsd.org/changeset/ports/507742

Log:
  - Update to 5.0.1
  - Rework options
  - Unbundle dependencies where possible
  - Fix minetestserver rc.d script by setting HOME [1]
  - Unbreak in powerpc [3]
  - Update WWW

  PR:		235355 [1], 238064 [2], 239413 [3]
  Submitted by:	dch@freebsd.org [1], crwhipp@gmail.com [2], pkubaj@FreeBSD.org [3]

Changes:
  head/games/minetest/Makefile
  head/games/minetest/distinfo
  head/games/minetest/files/minetest.in
  head/games/minetest/files/patch-src_CMakeLists.txt
  head/games/minetest/pkg-descr
Comment 20 commit-hook freebsd_committer 2019-07-31 22:51:27 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jul 31 22:51:12 UTC 2019
New revision: 507743
URL: https://svnweb.freebsd.org/changeset/ports/507743

Log:
  - Update to 5.0.1
  - Install examples and more documentation
  - Update LICENSE
  - Update WWW

  PR:		238064
  Submitted by:	crwhipp@gmail.com

Changes:
  head/games/minetest_game/Makefile
  head/games/minetest_game/distinfo
  head/games/minetest_game/pkg-descr